Skip to main content
PATCH
/
api
/
v1
/
contact-auth
/
me
Patch Me
curl --request PATCH \
  --url https://api.member.dev/api/v1/contact-auth/me \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "email": "<string>",
      "tos_accepted_at": "2023-11-07T05:31:56Z",
      "tos_version": "<string>"
    },
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "created_at": "2023-11-07T05:31:56Z",
      "email": "<string>",
      "email_verified_at": "2023-11-07T05:31:56Z",
      "has_password": true,
      "team_memberships": [
        {
          "joined_at": "2023-11-07T05:31:56Z",
          "team_id": "<string>"
        }
      ],
      "tos_accepted_at": "2023-11-07T05:31:56Z",
      "tos_version": "<string>"
    },
    "id": "<string>",
    "type": "contacts"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/vnd.api+json
data
SelfUpdateResource · object
required

Response

Successful Response

JSON:API single-resource envelope for /me routes.

data
ContactMeResource · object
required

JSON:API resource object for the current contact (GET /me family).